#include <iostream>
using namespace std;

int main () {
    int n, d, k, x, i = 1, s = 1;
    cin >> n >> d >> k;
    x = d * k;

    if (n >= x){
        i++;
        s += i;
    }else{
        while (x > 0){
            while(i <= n){
                x--;
                i++;
                s += i;
            }
            i = 1;
        }
    }
    cout << s;

    return 0;
}

